Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

arangodb 2.2.0 fails to build on 10.7 #30983

Closed
amckinlay opened this Issue · 8 comments

5 participants

@amckinlay
➜ ~ brew upgrade
==> Upgrading 1 outdated package, with result:
arangodb 2.2.0
==> Upgrading arangodb
==> Downloading https://www.arangodb.org/repositories/Source/ArangoDB-2.2.0.tar.
Already downloaded: /Library/Caches/Homebrew/arangodb-2.2.0.tar.gz
==> ./configure --prefix=/usr/local/Cellar/arangodb/2.2.0 --disable-relative --e
==> make install

--------------------------------------------------------------------------------
BUILD ICU FINISHED
--------------------------------------------------------------------------------


READ THIS: https://github.com/Homebrew/homebrew/wiki/troubleshooting

Result of brew gist-logs --config --doctor arangodb: https://gist.github.com/78a4e5d4ea7d3e043e02

@mistydemeo
Owner

Looks like the V8/xcode-select bug. Presumably arangodb's V8's gyp is older and doesn't include the fixes for CLT-only systems.

@mistydemeo
Owner

Embedded V8's gyp is different enough from current gyp that it's not trivial to apply the upstream fix, unfortunately.

@adamv
Owner

Ping @fceller.

@fceller

Will try a new gyp.

@mistydemeo
Owner

Thanks!

@fceller

Added latest gyp to 2.2.2. Will create a new release tomorrow.

@fceller fceller referenced this issue
Closed

arangodb 2.2.2 #31455

@fceller

@mistydemeo does the new gyp work on 10.7? I have no system to test it.

@jacknagel
Owner

Appears to be fixed.

@jacknagel jacknagel closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.